| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ErrorDialog Class Reference
Core » General

Class for displaying the error dialog if Ogre fails badly. More...

`#include <OgreErrorDialogImp.h>`

## Public Member Functions
| ErrorDialog ()
| ErrorDialog ()
| ~ErrorDialog ()
void | display (const String &errorMessage, String logName="")
| More...
void | display (const String &errorMessage, String logName="")
| More...

## Detailed Description

Class for displaying the error dialog if Ogre fails badly.

Deprecated:
  this class will be gone in a future release

## Constructor & Destructor Documentation

## ◆ ErrorDialog() [1/2]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ErrorDialog() [2/2]

Ogre::ErrorDialog::ErrorDialog | ( |  | ) |

## ◆ ~ErrorDialog()

Ogre::ErrorDialog::~ErrorDialog | ( |  | ) |
| inline

## Member Function Documentation

## ◆ display() [1/2]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

## ◆ display() [2/2]

void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = `""`
| ) |  |

Remarks
  Displays the error dialog.

Parameters

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

The documentation for this class was generated from the following files:

- OgreErrorDialog.h
- OgreErrorDialogImp.h